| API Docs for SAX and DOM |

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# Locator Class Reference

Interface for associating a SAX event with a document location. More...

List of all members.

## Public Member Functions

Constructors and Destructor
| Locator ()
| Default constructor.
virtual | ~Locator ()
| Destructor.
The locator interface
virtual const XMLCh * | getPublicId () const =0
| Return the public identifier for the current document event.
virtual const XMLCh * | getSystemId () const =0
| Return the system identifier for the current document event.
virtual XMLSSize_t | getLineNumber () const =0
| Return the line number where the current document event ends.
virtual XMLSSize_t | getColumnNumber () const =0
| Return the column number where the current document event ends.

## Detailed Description

Interface for associating a SAX event with a document location.

If a SAX parser provides location information to the SAX application, it does so by implementing this interface and then passing an instance to the application using the document handler's setDocumentLocator method. The application can use the object to obtain the location of any other document handler event in the XML source document.

Note that the results returned by the object will be valid only during the scope of each document handler method: the application will receive unpredictable results if it attempts to use the locator at any other time.

SAX parsers are not required to supply a locator, but they are very strong encouraged to do so. If the parser supplies a locator, it must do so before reporting any other document events. If no locator has been set by the time the application receives the startDocument event, the application should assume that a locator is not available.

See also:
  DocumentHandler::setDocumentLocator

## Constructor & Destructor Documentation

Locator::Locator | ( |  | ) |

| Default constructor.

virtual Locator::~Locator | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual XMLSSize_t Locator::getColumnNumber | ( |  | ) | const`[pure virtual]`

Return the column number where the current document event ends.

Note that this is the column number of the first character after the text associated with the document event. The first column in a line is position 1.

Returns:
  The column number, or -1 if none is available.

See also:
  getLineNumber

virtual XMLSSize_t Locator::getLineNumber | ( |  | ) | const`[pure virtual]`

Return the line number where the current document event ends.

Note that this is the line position of the first character after the text associated with the document event.

Returns:
  The line number, or -1 if none is available.

See also:
  getColumnNumber

virtual const XMLCh* Locator::getPublicId | ( |  | ) | const`[pure virtual]`

Return the public identifier for the current document event.

This will be the public identifier

Returns:
  A string containing the public identifier, or null if none is available.

See also:
  getSystemId

virtual const XMLCh* Locator::getSystemId | ( |  | ) | const`[pure virtual]`

Return the system identifier for the current document event.

If the system identifier is a URL, the parser must resolve it fully before passing it to the application.

Returns:
  A string containing the system identifier, or null if none is available.

See also:
  getPublicId

The documentation for this class was generated from the following file:

- Locator.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.